Summary: Access Control and User Administration.
Name: acua
Version: 2.10
Release: 1
Copyright: GPL
Group: Utilities/System
Source: http://acua.gist.net.au/2.0/acua-2.10.tar.gz
Patch0: acua.patch 
URL: http://acua.gist.net.au
BuildRoot: /var/tmp/acua-root

%description
ACUA is designed to facilitate the administration of Linux 
systems hosting modem pools.  ACUA's high-level goals are: 
	o to automate the enforcement of access restrictions 
	o to automate (as much as possible) user administration tasks 
	o to provide accounting information 
	o to collect and provide useful statistics
%prep
%setup -q
%patch0 -p1 -b .orig

%build
make dep
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin


make install RPM_INSTALL=$RPM_BUILD_ROOT

%post
ldconfig

%postun
ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%dir /usr/lib/acua
%dir /usr/lib/acua/record
%dir /usr/lib/acua/record/archive
/usr/lib/libacua.so.2
/usr/bin/acua
/usr/bin/acua_stats
/usr/bin/acua_bytes
/usr/bin/acua_viewRec
/usr/sbin/acua117-200
/usr/sbin/acua200-202
/usr/sbin/acua_login
/usr/sbin/acua_logout
/usr/sbin/acua_updated
/usr/sbin/acua_verify
/usr/sbin/clean_proc
/usr/sbin/clean_tmp
%config /usr/lib/acua/clean_proc.config
%config /usr/lib/acua/clean_tmp.config
%config /usr/lib/acua/acua.config
%config /usr/lib/acua/acua_login.busy
%config /usr/lib/acua/acua_login.data_period
%config /usr/lib/acua/acua_login.default
%config /usr/lib/acua/acua_login.lock
%config /usr/lib/acua/acua_login.max_logins
%config /usr/lib/acua/acua_login.session_wait
%config /usr/lib/acua/acua_login.time_class
%config /usr/lib/acua/acua_login.time_period
%config /usr/lib/acua/acua_login.upgrade_access
%config /usr/lib/acua/acua_updated.busy
%config /usr/lib/acua/acua_updated.data_period
%config /usr/lib/acua/acua_updated.data_session
%config /usr/lib/acua/acua_updated.footer
%config /usr/lib/acua/acua_updated.header
%config /usr/lib/acua/acua_updated.idle
%config /usr/lib/acua/acua_updated.time_class
%config /usr/lib/acua/acua_updated.time_period
%config /usr/lib/acua/acua_updated.time_session
%config /usr/lib/acua/acua_updated.upgrade_access
%config /usr/lib/acua/acua_updated.warn_boot
%config /usr/lib/acua/acua_updated.warn_expire
%config /usr/lib/acua/acua_viewRec
%config /usr/sbin/acua_adduser
%config /usr/sbin/acua_deluser

%changelog 
* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- built package from contrib.
